/*
 * Copyright (c) Eugene Matyushkin 2007
 */
package ru.skipy.layout.circle;

import java.awt.*;
import javax.swing.*;

/**
 * CircleLayoutTest
 *
 * @author Eugene Matyushkin
 * @version $Id: CircleLayoutTest.java 282 2007-10-22 07:49:54Z ematyushkin $
 */
public class CircleLayoutTest extends JFrame {

    public CircleLayoutTest() {
        super("Circle layout test");
        JPanel panel = new JPanel(new GridLayout(2, 2, 5, 5));
        panel.add(createPanel(CircleLayout.Fill.NONE));
        panel.add(createPanel(CircleLayout.Fill.HORIZONTAL));
        panel.add(createPanel(CircleLayout.Fill.VERTICAL));
        panel.add(createPanel(CircleLayout.Fill.BOTH));
        setContentPane(new JScrollPane(panel));
        pack();
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setLocationRelativeTo(null);
    }


    private JPanel createPanel(CircleLayout.Fill fill) {
        JPanel panel = new JPanel();
        panel.setLayout(new CircleLayout(fill, CircleLayout.Direction.CLOCKWISE, 0));
        for(int i=0; i<16; i++){
            panel.add(createComponent(String.valueOf(i+1)));
        }
        panel.setBorder(BorderFactory.createRaisedBevelBorder());
        return panel;
    }


    private JComponent createComponent(String caption) {
        //        JButton btn = new JButton(caption);
        //        btn.setPreferredSize(new Dimension(50,25));
        //        return btn;
        JLabel lbl = new JLabel(caption);
        lbl.setPreferredSize(new Dimension(25, 25));
        lbl.setHorizontalAlignment(JLabel.CENTER);
        lbl.setBorder(BorderFactory.createLineBorder(Color.blue, 2));
        lbl.setBackground(Color.white);
        lbl.setOpaque(true);
        return lbl;
    }


    public static void main(String[] args) {
        new CircleLayoutTest().setVisible(true);
    }

}
